spring:
  application:
    name: abbtech-bookstore-notification-ms
  datasource:
    driver-class-name: org.postgresql.Driver
    url: jdbc:postgresql://127.0.0.1:5432/notification_ms
    username: postgres
    password: 123456
    hikari:
      schema: public
  liquibase:
    enabled: ${LIQUIBASE_ENABLE:true}
    change-log: classpath:db/changelog/db.changelog.yml
    default-schema: public


  kafka:
    producer:
      bootstrap-servers: ${KAFKA_HOST_NAME:localhost}:9092
      key-serializer: org.apache.kafka.common.serialization.StringSerializer
      value-serializer: org.apache.kafka.common.serialization.StringSerializer

      properties:
        acks: all
        retries: 10
        retry.backoff.ms: 1000
        max.block.ms: 20000
        delivery.timeout.ms: 30000

    consumer:
      bootstrap-servers: ${KAFKA_HOST_NAME:localhost}:${KAFKA_PORT:9092}
      key-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      value-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      group-id: kafka-group-id
      auto-offset-reset: earliest
      fetch-max-wait: 500
      fetch-min-size: 1
      enable-auto-commit: true


    admin:
      properties:
        bootstrap.servers: ${KAFKA_HOST_NAME:localhost}:9092


server:
  servlet:
    context-path: /abbtech-bookstore-notification-ms
  port: 8086
